#
# Conditional build:
%bcond_without	graphics	# graphics support
%bcond_without	fb		# Linux Framebuffer graphics driver
%bcond_with	sdl		# SDL graphics driver [disabled in sources]
%bcond_with	svga		# svgalib graphics driver
%bcond_without	x		# X Window System graphics driver
#
Summary:	Lynx-like WWW browser
Summary(es.UTF-8):	El links es un browser para modo texto, similar a lynx
Summary(pl.UTF-8):	Podobna do Lynksa przeglądarka WWW
Summary(pt_BR.UTF-8):	O links é um browser para modo texto, similar ao lynx
Summary(ru.UTF-8):	Текстовый WWW броузер типа Lynx
Summary(uk.UTF-8):	Текстовий WWW броузер типу Lynx
Name:		links2
Version:	2.14
Release:	2
Epoch:		1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://links.twibright.com/download/links-%{version}.tar.bz2
# Source0-md5:	0d11b388de22ba280008a36a409a34c6
Source1:	%{name}.desktop
Source2:	%{name}.1.pl
Source3:	%{name}.png
Source4:	glinks.desktop
Patch0:		%{name}-links-g_if_glinks.patch
Patch2:		%{name}-img.patch
Patch3:		%{name}-convert-old-bookmarks.patch
Patch4:		%{name}-cookies-save.patch
Patch5:		%{name}-config-dirs.patch
Patch6:		%{name}-gzip_fallback.patch
Patch10:	%{name}-pl-update.patch
Patch17:	ac_config_headers.patch
Patch18:	ac_prog_cxx.patch
URL:		http://links.twibright.com/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gpm-devel
BuildRequires:	libevent-devel
BuildRequires:	ncurses-devel >= 5.1
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
%if %{with graphics}
%{?with_fb:BuildRequires:	DirectFB-devel >= 0.9.17}
%{?with_sdl:BuildRequires:	SDL-devel >= 1.2.0}
BuildRequires:	cairo-devel
BuildRequires:	libgomp-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 2.0.0
BuildRequires:	libtiff-devel
%{?with_svga:BuildRequires:	svgalib-devel}
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
%endif
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Links is a WWW browser, at first look similiar to Lynx, but somehow
different:

- renders tables and frames,
- displays colors as specified in current HTML page,
- uses drop-down menu (like in Midnight Commander),
- can download files in background.

%{?with_graphics:This version can work in graphical mode.}

%description -l es.UTF-8
Links es un browser WWW modo texto, similar al Lynx. El links muestra
tablas, hace baja archivos en segundo plano, y usa conexiones HTTP/1.1
keepalive.

%description -l pl.UTF-8
Links jest przeglądarką WWW, na pierwszy rzut oka podobną do Lynksa,
ale mimo wszystko inną:

- renderuje tabelki i ramki,
- wyświetla kolory zgodnie z definicjami w oglądanej stronie HTML,
- używa opuszczanego menu (jak w Midnight Commanderze),
- może ściągać pliki w tle.

%{?with_graphics:Ta wersja może pracować w trybie graficznym.}

%description -l pt_BR.UTF-8
Links é um browser WWW modo texto, similar ao Lynx. O Links exibe
tabelas, faz baixa arquivos em segundo plano, e usa as conexões
HTTP/1.1 keepalive.

%description -l ru.UTF-8
Links - это текстовый WWW броузер, на первый взгляд похожий на Lynx,
но несколько отличающийся:

- отображает таблицы и (скоро) фреймы,
- показывает цвета как указано в HTML странице,
- использует выпадающие меню (как в Midnight Commander),
- может загружать файлы в фоне.

%description -l uk.UTF-8
Links - це текстовий WWW броузер, на перший погляд схожий на Lynx, але
трохи відмінний від нього:

- відображає таблиці та (незабаром) фрейми,
- показує кольори як вказано в HTML сторінці,
- використовує випадаючі меню (як в Midnight Commander),
- може завантажувати файли в фоні.

%prep
%setup -q -n links-%{version}
%{?with_graphics:%patch0 -p1}
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch10 -p1
%patch17 -p1
%patch18 -p1

cd intl
./gen-intl

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%{__autoheader}
%configure \
	--program-suffix=2 \
	%{?with_graphics:--enable-graphics} \
	%{!?with_fb:--without-fb} \
	%{!?with_sdl:--without-sdl} \
	%{!?with_svga:--without-svgalib} \
	%{!?with_x:--without-x} \
	--with-ssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_mandir}/pl/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with graphics}
ln -sf links2 $RPM_BUILD_ROOT%{_bindir}/glinks
echo ".so links2.1" > $RPM_BUILD_ROOT%{_mandir}/man1/glinks.1
echo ".so links2.1" > $RPM_BUILD_ROOT%{_mandir}/pl/man1/glinks.1
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}
%endif

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man1/links2.1
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README SITES
%attr(755,root,root) %{_bindir}/glinks
%attr(755,root,root) %{_bindir}/links2
%{_desktopdir}/glinks.desktop
%{_desktopdir}/links2.desktop
%{_pixmapsdir}/links2.png
%{_mandir}/man1/glinks.1*
%{_mandir}/man1/links2.1*
%lang(pl) %{_mandir}/pl/man1/glinks.1*
%lang(pl) %{_mandir}/pl/man1/links2.1*
%changelog
* Sat Sep 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/links2.git;a=log;h=master

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c898b4a
- release 2 (by relup.sh)

* Mon Jul 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 0bbafd8
- updated pl-update patch

* Sat Jul 08 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 68195e3
- updated to 2.14
- updated links2-config-dirs.patch

* Sun Apr 02 2017 Jan Rękorajski <baggins@pld-linux.org> 1b7d26e
- rebuild with libevent 2.1.9
- release 2 (by relup.sh)

* Thu Aug 04 2016 Jakub Bogusz <qboosh@pld-linux.org> d5c6b49
- updated pl-update patch

* Sun Jul 03 2016 Witold Filipczyk <witekfl@poczta.onet.pl> ceb514a
- updated to 2.13

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> 67ecbdd
- openssl 1.0.2g rebuild
- release 2 (by relup.sh)

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 2d41662
- updated to 2.12
- updated cookies-save,pl-update patches
- removed outdated segv patch

* Tue Sep 01 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 6a94178
- updated to 2.11
- commented segv.patch (I guess this patch is unneeded)
- commented update-pl.patch (applied upstream)

* Thu Jul 16 2015 Jakub Bogusz <qboosh@pld-linux.org> b4575d9
- updated pl-update patch
- BR: libevent-devel libgomp-devel librsvg-devel
- disable BR SDL-devel (SDL support disabled in configure)

* Wed Jul 15 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 2fa93c5
- updated to 2.10
- commented pl.po-update.patch

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 28fe4cb
- release 4 (by relup.sh)

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> e24e92f
- rebuild with DirectFB 1.7.2
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6bcd759
- release 2 (by relup.sh)

* Sat Oct 12 2013 Jakub Bogusz <qboosh@pld-linux.org> dc494cd
- updated pl-update patch is back

* Mon Oct 07 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 9e20794
- up to 2.8

* Fri Jul 19 2013 Jan Rękorajski <baggins@pld-linux.org> 43ec34e
- rebuild with DirectFB 1.7.0
- release 2 (by relup.sh)

* Fri Jun 28 2013 Jakub Bogusz <qboosh@pld-linux.org> d942041
- (re)added pl-update patch

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> a8718b5
- updated img,convert-old-bookmarks,gzip_fallback,segv patches
- removed outdated ac25x,libpng15 patches

* Sat Apr 06 2013 witekfl <witekfl@poczta.onet.pl> 1c1c382
- up to 2.7

